utl::meta::count_if_impl::count_if_< typelist< Head, Tail... >, Fn, N > Struct Template Reference

`#include <typelist.h>`

## Public Types

using | type = if_< invoke_t< Fn, Head >, eval< count_if_< typelist< Tail... >, Fn, N+1 > >, eval< count_if_< typelist< Tail... >, Fn, N > > >

## Detailed Description

### template<typename Head, typename... Tail, typename Fn, size_t N>
struct utl::meta::count_if_impl::count_if_< typelist< Head, Tail... >, Fn, N >

Definition at line 721 of file typelist.h.

## Member Typedef Documentation

## type

template<typename Head , typename... Tail, typename Fn , size_t N>

using utl::meta::count_if_impl::count_if_< typelist< Head, Tail... >, Fn, N >::type = if_ < invoke_t<Fn, Head>, eval< count_if_<typelist<Tail...>, Fn, N+1> >, eval< count_if_<typelist<Tail...>, Fn, N> > >

Definition at line 732 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h